return {
    {
        "rmagatti/auto-session",
        dependencies = {
            "nvim-lualine/lualine.nvim"
        },
        event = "VimEnter",
        init = function()
            vim.o.sessionoptions = "blank,buffers,curdir,folds,help,tabpages,winsize,winpos,terminal,localoptions"

            vim.keymap.set('n', '<leader>ss', '<cmd>SessionSave<CR>', {
                desc = "Save"
            })
            vim.keymap.set('n', '<leader>sd', '<cmd>SessionDelete<CR>', {
                desc = "Delete"
            })
        end,
        opts = {
            log_level = "error",
            auto_save_enabled = false
        }
    },
    {
        'rmagatti/session-lens',
        cmd = {
            "Autosession",
            "SearchSession"
        },
        dependencies = {
            'rmagatti/auto-session',
            'nvim-telescope/telescope.nvim'
        },
        init = function()
            vim.keymap.set('n', '<leader>sf', function() require('session-lens').search_session() end, {
                desc = "Find"
            })
        end,
        config = function()
            require('session-lens').setup({
                prompt_title = 'Sessions'
            })
        end
    }
}
